stralloc_starts(3)

NAME
stralloc_starts - check if string is prefix of stralloc

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_starts(stralloc* sa,const char* in);

DESCRIPTION
stralloc_starts returns 1 if the \0-terminated string in in, without the terminating \0, is a prefix of the string stored in sa. Otherwise it returns 0. sa must already be allocated.

RETURN VALUE
1 if in is a prefix of sa, otherwise 0.

SEE ALSO
str_starts(3)